
clear all
close all

dt                    = 50;
TIME                  = 300;

%vector of input connections
input= zeros(TIME,8);

leaky_1        %quick
%leaky_2        %slow
%onset          %only reacts to the onset of the input
%offset         %only reacts to the offset of the input
%attractor1     %memory-like
%competition    %sensory-driven selection
%pattern        %oscillations

%empty          %all parameters are set to 0


for t=2:TIME
    
neuron1(t) = max (0, tanh(neuron1(t-1) + (dt/neuron1_decay).*(-neuron1(t-1) + (bl1 + input(t-1,1)*inp_n1_w +...
    neuron1(t-1)*n1_n1_w + neuron2(t-1)*n2_n1_w + neuron3(t-1)*n3_n1_w) )));

neuron2(t) = max (0, tanh(neuron2(t-1) + (dt/neuron2_decay).*(-neuron2(t-1) + (bl2 + input(t-1,2)*inp_n2_w +...
    neuron2(t-1)*n2_n2_w + neuron1(t-1)*n1_n2_w + neuron3(t-1)*n3_n2_w ) )));

neuron3(t) = max (0, tanh(neuron3(t-1) + (dt/neuron3_decay).*(-neuron3(t-1) + (bl3 + input(t-1,3)*inp_n3_w +...
    neuron3(t-1)*n3_n3_w + neuron1(t-1)*n1_n3_w + neuron2(t-1)*n2_n3_w) )));


end

 
if exist('flag_competition')==0 && exist('flag_pattern')==0
basic_plot
elseif exist('flag_competition')==1
competition_plot
elseif exist('flag_pattern')==1
pattern_plot                    %also used by the configuration "empty"
end